1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Upgrading XF 1.0.4 to XF 1.1.0 Beta 4 - new installation or upgrade?

Discussion in 'Installation, Upgrade, and Import Support' started by mikesierra, Nov 3, 2011.

  1. mikesierra

    mikesierra Member

    I decided to upgrade my stable version 1.0.4 to the latest beta version, however I am not sure if I am performing really an upgrade instead of a new installation.

    What I did so far:

    1. I have uploaded all files according to the INSTALL-UPGRADE file

    2. Directory permissions are set properly (777)

    3. When I try to perform the upgrade according to the instructions in the INSTALL-UPGRADE file the regular installation routine pops up:

    Your configuration has been verified.
    XenForo is already installed in your database. Continuing will remove all XenForo-related data from your database!

    Under no circumstances I don´t want XF have to remove all entries from the database - can I proceed here or is something going wrong here?

    Any hints are appreciated. :)

  2. Brogan

    Brogan XenForo Moderator Staff Member

  3. mikesierra

    mikesierra Member

    Yep, seems so...:(

    Will my database entries are going down the drain when I continue with the installation?
  4. Brogan

    Brogan XenForo Moderator Staff Member

    Yes, don't continue.

    See my comments above regarding config.php and install-lock.php.
  5. mikesierra

    mikesierra Member

    Thanks, I will check it now.
  6. mikesierra

    mikesierra Member

    I tried it again today, but without any success. I restored my old 1.0.4 files first and verified that forums are working fine. After that, I uploaded the upgrade files according to the documentation (http://xenforo.com/help/upgrades/). When I invoke the install link, I don´t get any upgrade notices, instead I see the regular installation routine:

    Verify Configuration

    You configuration has been verified.

    XenForo is already installed in your database. Continue will remove.....

    Well, maybe I am wrong, but for me it seems to be rather a new installation than an upgrade. What is going wrong here? This time I can say for sure that I have used the right archive (upgrade).
  7. Brogan

    Brogan XenForo Moderator Staff Member

    It still seems as if you're uploading the wrong .zip.

    Try creating the config.php and install-lock.php files as I explained above.
  8. mikesierra

    mikesierra Member

    Seems that my problem is solved. I replaced the parameter ?install with ?upgrade, as Floris mentioned here. Great, now I have to check out the new features. :)
  9. Brogan

    Brogan XenForo Moderator Staff Member

    Good to know.

    How odd though, I've never experienced that issue before.

    Although I must admit, I assumed you were already manually navigating to the upgrade URL.
  10. Infopro

    Infopro Active Member

    Recreating the install-lock.php file was what I needed too. Thanks guys for this thread. :)

    I moved away the previous version files and uploaded the new ones (to update) and forgot to leave the config file. Ran the install/ to update, and realized my mistake. Moving things around a second time to sort that left me hanging, I deleted the install-lock and was being asked to install/wipe data instead of update.

    Recreating it got the job done as expected.

    "Your upgrade to 1.3.0 Beta 4 has completed successfully!"

    Thanks again.

Share This Page